#define BIT7 0x80
#define BIT6 0x40
#define BIT5 0x20
#define BIT4 0x10
#define BIT3 0x08
#define BIT2 0x04
#define BIT1 0x02
#define BIT0 0x01

#define HIGH 1
#define LOW 0

#define TRUE 1
#define FALSE 0

#define SET 1
#define CLEARED 0

#define LOWBYTE(v)   ((unsigned char) (v))
#define HIGHBYTE(v)  ((unsigned char) (((unsigned int) (v)) >> 8))

//SFRs

//ASCII
#define ASCII_CR 13
#define ASCII_NULL 0

//UART
#define UART0_RX_BUFLEN 4

//function prototypes
void Delay_us(unsigned int DelayCount);
void Delay_10ms(unsigned int DelayCount);
void Delay_seconds(unsigned int DelayCount);
//void Process_UART0_Rx_Message(void);
//void Clear_UART0_Rx_Buffer(void);
void Init_Device(void);

//global variables
//extern char UART0_Rx_Buffer[UART0_RX_BUFLEN];
//extern unsigned char UART0_Rx_Buffer_Index;
//extern bit UART0_TX_BUSY;
//extern bit PROCESS_UART0_RX_MSG;

//port pins
sbit DAC_SLEEP = P1^7;
sbit DAC_CLK = P0^7;
#define DAC_WORD P2
//sbit C2ADAPTER_LEDGRN = P4^3;
//sbit C2ADAPTER_LEDRED = P4^2;
